CatalogException (Java SE 9 & JDK 9 )
Keywords: javax.xml.catalog.CatalogException class

Module java.xml
Package javax.xml.catalog

## Class CatalogException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.catalog.CatalogException

- All Implemented Interfaces:
    `Serializable`

      public class CatalogException
      extends RuntimeException

  The exception class handles errors that may happen while processing or using a catalog.
  Since:
    9
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CatalogException​(String message)` | Constructs a new CatalogException with the specified detail message.
    `CatalogException​(String message, Throwable cause)` | Constructs a new CatalogException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### CatalogException

          public CatalogException​(String message)

      Constructs a new CatalogException with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message

    - #### CatalogException

          public CatalogException​(String message,
                                  Throwable cause)

      Constructs a new CatalogException with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)